%undefine __cmake_in_source_build
Name:                fmt
Version:             8.1.1
Release:             1
License:             MIT
Summary:             Small, safe and fast formatting library for C++
URL:                 https://github.com/fmtlib/fmt
Source0:             https://github.com/fmtlib/fmt/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:       gcc gcc-c++ ninja-build cmake
%description
C++ Format is an open-source formatting library for C++. It can be used as a
safe alternative to printf or as a fast alternative to IOStreams.

%package        devel
Summary:             Development files for %{name}
Requires:            %{name} = %{version}-%{release}
%description    devel
This package contains the header file for using %{name}.

%prep
%autosetup -p1

%build
%cmake                                        \
    -G Ninja                                  \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo         \
    -DCMAKE_POSITION_INDEPENDENT_CODE=ON      
cmake --build ./ %{?_smp_flags} --verbose  

%install
DESTDIR="%{buildroot}" cmake --install ./

%check
ctest -VV %{?_smp_flags}

%files
%license LICENSE.rst
%doc ChangeLog.rst README.rst
%{_libdir}/lib%{name}.so.8*

%files devel
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Thu Sep 21 2023 yaoxin <yao_xin001@hoperun.com> - 8.1.1-1
- Upgrade to 8.1.1
- Abi change: libfmt.so.8.0.1 -> libfmt.so.8.1.1

* Fri Aug 26 2022 yangchenguang <yangchenguang@uniontech.com> - 8.0.1-2
- fix dependency compile failed

* Sat Aug 7 2021 liyanan <liyanan32@huawei.com> - 8.0.1-1
- package init
